DCMTK - Feature #722

Export all (relevant) CMake options to "DCMTKConfig.cmake", some "newer" options are still
missing
2017-02-24 13:45 - Jorg Riesmeier

Status: Closed Start date: 2017-02-24
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Configuration Estimated time: 0:00 hour

Target version:

Module: CMake Compiler:

Operating System:

Description

Currently, the file "CMake/DCMTKConfig.cmake.in" and "CMake/DCMTKConfig.cmake26.in" do not contain all relevant CMake
options that are defined for the DCMTK and that would be important for an external program that links against DCMTK, e.g. the
"new" options regarding character set conversion, C++11 support, STL support (work in progress), builtin/external data dictionary.
This should be fixed, either manually or by some (semi-) automatic approach.

This is not a real bug but an important feature that should be implemented for the upcoming DCMTK release.

Related issues:
Related to DCMTK - Feature #903: Add "Auto" setting to DCMTK_COMPILE_WIN32_MU... Closed 2019-11-04

History

#1 - 2017-03-24 13:01 - Marco Eichelberg

- Priority changed from Normal to Low

#2 - 2017-07-03 14:59 - Michael Onken

- Status changed from New to Closed

Closed with commmit 893503 and d44623.

Now all relevant CMake options used during the build are exported.
#3 - 2019-02-14 11:29 - J6rg Riesmeier

- Status changed from Closed to Reopened

- Priority changed from Low to Normal

- Target version changed from 3.6.2 to 3.6.5

Some important CMake options are still missing, such as DCMTK_ENABLE_CHARSET_CONVERSION or
DCMTK_GENERATE_DOXYGEN_TAGFILE.

It would also be helpful to get the values of the various CMAKE_INSTALL_xxxDIR variables, e.g. in order to determine where the "dcmtk.tag" file is
installed that could be referenced from the Doxygen configuration file of a project that uses DCMTK.

#4 - 2019-10-11 10:41 - Jan Schlamelcher
- Target version changed from 3.6.5 to 3.6.6

#5 - 2019-10-30 15:07 - J6rg Riesmeier
The new CMake option DCMTK_COMPILE_WIN32_MULTITHREADED_DLL is also missing.

#6 - 2019-11-04 08:58 - Marco Eichelberg
- Related to Feature #903: Add "Auto" setting to DCMTK_COMPILE_WIN32_MULTITHREADED DLL added

#7 - 2020-03-03 16:12 - Michael Onken

- Status changed from Reopened to Closed
See commit ae9cb33

#8 - 2020-03-03 16:13 - Michael Onken
- % Done changed from 0 to 100

#9 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)
